require 'pg'

require 'common/agendav_plugin'
require 'prune/prune_plugin'
require 'rm/plugins/agendav'

class AgendavPrune < AgendavRm

  include AgendavPlugin
  include PrunePlugin

  def get_leftover_domains(db_domains)
    # AgenDAV doesn't have a concept of domains.
    return []
  end


  def get_leftover_accounts(db_accounts)
    # Get a list of all users who have logged in to AgenDAV.
    ad_accounts = self.get_agendav_usernames()
    return ad_accounts - db_accounts
  end

end
